#Turn tests back on when all dependencies are built
%global enable_tests 0

Name:           nodejs-oauth
Version:        0.9.13
Release:        3%{?dist}
Summary:        Library for interacting with OAuth 1.0, 1.0A, 2 and Echo

License:        MIT
URL:            https://github.com/ciaranj/node-oauth
Source0:        http://registry.npmjs.org/oauth/-/oauth-%{version}.tgz
# Remove fallback to bundled SHA1 implementation
Patch0:         nodejs-oauth-sha1.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif

%description
Library for interacting with OAuth 1.0, 1.0A, 2 and Echo. Provides
simplified client access and allows for construction of more complex
APIs and OAuth providers.


%prep
%setup -q -n package
%patch0 -p1
rm -rf node_modules lib/sha1.js tests/sha1.js
rm -rf lib/oauth.js.orig

%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/oauth
cp -pr package.json index.js lib %{buildroot}/%{nodejs_sitelib}/oauth
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{nodejs_sitelib}/vows/bin/vows tests/* --spec
%endif


%files
%doc LICENSE Readme.md examples
%{nodejs_sitelib}/oauth


%changelog
* Tue Nov 10 2015 Troy Dawson <tdawson@redhat.com> - 0.9.13-3
- Fixup spec file

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 0.9.13-2
- Disable tests until all dependencies are available

* Sun May 17 2015 Tom Hughes <tom@compton.nu> - 0.9.13-1
- Update to 0.9.13 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Tom Hughes <tom@compton.nu> - 0.9.12-1
- Update to 0.9.12 upstream release

* Mon Jan  6 2014 Tom Hughes <tom@compton.nu> - 0.9.11-1
- Update to 0.9.11 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Tom Hughes <tom@compton.nu> - 0.9.10-1
- Update to 0.9.10 upstream release

* Sun Mar 10 2013 Tom Hughes <tom@compton.nu> - 0.9.8-4
- Remove fallback to bundled SHA1 implementation

* Sat Mar  9 2013 Tom Hughes <tom@compton.nu> - 0.9.8-3
- Replace bundled sha1.js with a dependency on jshashes
- Remove BSD from license

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 0.9.8-2
- Link node_modules for tests
- Improve description
- Add BSD to license

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.9.8-1
- Initial build of 0.9.8
